%define pkg_name        Algorithm-Accounting
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 2.n0i.2

Summary:       Generate accounting statistic for general logs
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GU/GUGOD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
# build:
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
# run:
BuildRequires: perl(Array::Compare)
BuildRequires: perl(Array::Iterator::Reusable)
BuildRequires: perl(Clone)
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(Spiffy)
# reporters:
BuildRequires: perl(List::Util)
BuildRequires: perl(Digest::MD5)
# Text reporter:
BuildRequires: perl(Perl6::Form)
# GD reporter:
BuildRequires: perl(GD::Graph)
# Imager reporter:
BuildRequires: perl(Imager::Graph::Pie)
%endif

%global perl_filter_req 'perl\\((GD|Imager)'


%description
Algorithm::Accounting provide simple aggregation method to make log
accounting easier. It accepts data in rows, each rows can have many fields,
and each field is a scalar or a list(arrayref).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Sat Aug 06 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
